org.apache.ignite.cache.store.cassandra.persistence

## Class KeyValuePersistenceSettings

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.persistence.KeyValuePersistenceSettings

- All Implemented Interfaces:
    Serializable

      public class KeyValuePersistenceSettings
      extends Object
      implements Serializable

  Stores persistence settings for Ignite cache key and value
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyValuePersistenceSettings(File settingsFile)` Constructs Ignite cache key/value persistence settings.
    `KeyValuePersistenceSettings(org.springframework.core.io.Resource settingsRsrc)` Constructs Ignite cache key/value persistence settings.
    `KeyValuePersistenceSettings(String settings)` Constructs Ignite cache key/value persistence settings.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<PojoField>` | `getFields()` Returns list of POJO fields to be mapped to Cassandra table columns.
    `List<String>` | `getIndexDDLStatements(String table)` Returns DDL statements to create Cassandra table secondary indexes.
    `List<PojoKeyField>` | `getKeyFields()` Returns list of Ignite cache key POJO fields to be mapped to Cassandra table columns.
    `KeyPersistenceSettings` | `getKeyPersistenceSettings()` Returns persistence settings for Ignite cache keys.
    `String` | `getKeyspace()` Returns Cassandra keyspace to use.
    `String` | `getKeyspaceDDLStatement()` Returns DDL statement to create Cassandra keyspace.
    `String` | `getTable()` Returns Cassandra table to use.
    `List<String>` | `getTableColumns()` Returns column names for Cassandra table.
    `String` | `getTableDDLStatement(String table)` Returns DDL statement to create Cassandra table.
    `Integer` | `getTTL()` Returns ttl to use for while inserting new rows into Cassandra table.
    `List<PojoValueField>` | `getValueFields()` Returns list of Ignite cache value POJO fields to be mapped to Cassandra table columns.
    `ValuePersistenceSettings` | `getValuePersistenceSettings()` Returns persistence settings for Ignite cache values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyValuePersistenceSettings

          public KeyValuePersistenceSettings(String settings)

      Constructs Ignite cache key/value persistence settings.
      Parameters:
        `settings` - string containing xml with persistence settings for Ignite cache key/value

    - #### KeyValuePersistenceSettings

          public KeyValuePersistenceSettings(File settingsFile)

      Constructs Ignite cache key/value persistence settings.
      Parameters:
        `settingsFile` - xml file with persistence settings for Ignite cache key/value

    - #### KeyValuePersistenceSettings

          public KeyValuePersistenceSettings(org.springframework.core.io.Resource settingsRsrc)

      Constructs Ignite cache key/value persistence settings.
      Parameters:
        `settingsRsrc` - resource containing xml with persistence settings for Ignite cache key/value

  - ### Method Detail

    - #### getTTL

          public Integer getTTL()

      Returns ttl to use for while inserting new rows into Cassandra table.
      Returns:
        ttl

    - #### getKeyspace

          public String getKeyspace()

      Returns Cassandra keyspace to use.
      Returns:
        keyspace.

    - #### getTable

          public String getTable()

      Returns Cassandra table to use.
      Returns:
        table.

    - #### getKeyPersistenceSettings

          public KeyPersistenceSettings getKeyPersistenceSettings()

      Returns persistence settings for Ignite cache keys.
      Returns:
        keys persistence settings.

    - #### getValuePersistenceSettings

          public ValuePersistenceSettings getValuePersistenceSettings()

      Returns persistence settings for Ignite cache values.
      Returns:
        values persistence settings.

    - #### getFields

          public List<PojoField> getFields()

      Returns list of POJO fields to be mapped to Cassandra table columns.
      Returns:
        POJO fields list.

    - #### getKeyFields

          public List<PojoKeyField> getKeyFields()

      Returns list of Ignite cache key POJO fields to be mapped to Cassandra table columns.
      Returns:
        POJO fields list.

    - #### getValueFields

          public List<PojoValueField> getValueFields()

      Returns list of Ignite cache value POJO fields to be mapped to Cassandra table columns.
      Returns:
        POJO fields list.

    - #### getKeyspaceDDLStatement

          public String getKeyspaceDDLStatement()

      Returns DDL statement to create Cassandra keyspace.
      Returns:
        Keyspace DDL statement.

    - #### getTableColumns

          public List<String> getTableColumns()

      Returns column names for Cassandra table.
      Returns:
        Column names.

    - #### getTableDDLStatement

          public String getTableDDLStatement(String table)

      Returns DDL statement to create Cassandra table.
      Parameters:
        `table` - Table name.
      Returns:
        Table DDL statement.

    - #### getIndexDDLStatements

          public List<String> getIndexDDLStatements(String table)

      Returns DDL statements to create Cassandra table secondary indexes.
      Parameters:
        `table` - Table name.
      Returns:
        DDL statements to create secondary indexes.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022